using PARR.Domain.Settings;

namespace PARR.Core.Common.Interfaces.RabbitServices.Workers
{
    /// <summary>
    /// Интерфейс для сервисов которые используются воркерами по подписке на очереди MQ
    /// </summary>
    public interface IMessageConsumer
    {
        Task ProcessMessagesAsync(IMqSettings mqSettings);
        Task StopProcessingAsync();
    }
}
